#!/usr/bin/env python

from os import path

from configparser import ConfigParser
from go1com.helper import Helper
from go1com.msg import Msg

__author__ = "Nguyen Nguyen <nguyen0591@gmail.com>"


class Config:
    def __init__(self):
        pass

    @staticmethod
    def read_config():
        config = {}
        parser = ConfigParser()
        file_path = path.join(Helper.get_root_path(), 'config.ini')
        if not path.isfile(file_path):
            Msg.echo('Missing config.ini file.', True)

        parser.read(file_path)
        for section in parser.sections():
            for (k, v) in parser.items(section):
                config[k] = v

        return config
