#!/usr/bin/env python

import requests

from go1com.service_url import ServiceUrl
from go1com.config import Config
from go1com.msg import Msg

__author__ = "Nguyen Nguyen <nguyen0591@gmail.com>"


class Util:
    def __init__(self):
        pass

    @staticmethod
    def get_masquerade(user_id: int, portal_name: str) -> str:
        """
        Get masquerade link sign-in with user_id & portal_name
        :rtype: str
        """
        config = Config.read_config()
        url = ServiceUrl.get('staff', 'dev') + '/user/{user_id}/masquerade/{portal_name}'
        r = requests.get(
            url.format(user_id=user_id, portal_name=portal_name),
            cookies={'cookies': config.get('cookies')}
        )

        if r.status_code != requests.codes.ok:
            Msg.echo('Something went wrong.', True)

        return r.json()['url']

